<?php

defined('_JEXEC') or die;
use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\CMSPlugin;
use Joomla\CMS\Uri\Uri;
class plgInstallerMorejoomla extends CMSPlugin
{
    public function onInstallerBeforePackageDownload(&$url, &$headers)
    {
        if (parse_url($url, PHP_URL_HOST) == 'morejoomla.com') {
            if ($updatekey = $this->params->get('updatekey')) {
                $pos = strpos($url, '?');
                if ($pos === false) {
                    $url .= "?updatekey=$updatekey&host=".str_replace('/administrator/index.php?option=com_installer', '', Uri::getInstance());
                } else {
                    $url = substr_replace($url, "?updatekey=$updatekey&host=".str_replace('/administrator/index.php?option=com_installer', '', Uri::getInstance())."&", $pos, 1);
                }
            } else {
                Factory::getApplication()->enqueueMessage('API-Key is missing in moreJoomla system plugin. Please add your key to use updates.', 'notice');
            }
        }
        return true;
    }
}
